Bug 698917 - (CVE-2011-1599) CVE-2011-1599 Asterisk: Shell command execution via manager Originate action (AST-2011-006)
CVE-2011-1599 Asterisk: Shell command execution via manager Originate action ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110421,reported=20110421,sou...
: Security
Depends On: 698918 698919
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 05:35 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-16 17:25:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-04-22 05:35:53 EDT
An Asterisk Manager Interface security check bypass was found in the way
Asterisk performed user access check during the originate manager action.
A remote authenticated user, with manager privilege, could use this flaw
to escalate their privileges and execute arbitrary shell commands via an
'Async' header sent together with 'Application' header during the manager
Originate action.

References:
[1] http://downloads.asterisk.org/pub/security/AST-2011-006.html

Upstream patches:
[2] http://downloads.asterisk.org/pub/security/AST-2011-006-1.4.diff 
    (against v1.4 branch)
[3] http://downloads.asterisk.org/pub/security/AST-2011-006-1.6.1.diff
    (against v1.6.1 branch)
[4] http://downloads.asterisk.org/pub/security/AST-2011-006-1.6.2.diff
    (against v1.6.2 branch)
[5] http://downloads.asterisk.org/pub/security/AST-2011-006-1.8.diff
    (against v1.8 branch)
Comment 1 Jan Lieskovsky 2011-04-22 05:37:29 EDT
This issue affects the versions of asterisk package, as shipped
with Fedora release of 13 and 14.

This issue affects the version of the asterisk package, as present
within EPEL-6 repository.

Please schedule an update.
Comment 2 Jan Lieskovsky 2011-04-22 05:40:00 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 698918]
Affects: epel-6 [bug 698919]
Comment 3 Jan Lieskovsky 2011-04-22 05:46:44 EDT
CVE Request:
[6] http://www.openwall.com/lists/oss-security/2011/04/21/5
Comment 4 Jan Lieskovsky 2011-04-22 08:57:04 EDT
The CVE identifier of CVE-2011-1599 has been assigned to this issue:
[7] http://www.openwall.com/lists/oss-security/2011/04/22/6
Comment 5 Vincent Danen 2011-05-16 17:25:58 EDT
This is corrected via these builds that have the fixes from upstream:

Fedora-13: asterisk-1.6.2.18-1.fc13
Fedora-14: asterisk-1.6.2.18-1.fc14
Fedora-15: asterisk-1.8.3.3-1.fc15
Fedora-Rawhide: asterisk-1.8.3.3-1.fc16
EPEL-6: asterisk-1.8.3.3-1.el6

Note You need to log in before you can comment on or make changes to this bug.